Loading...
Searching...
No Matches
casacore::MSFitsIDI Class Reference
msfits package (libcasa_msfits) » MSFits_module

More...

`#include <MSFitsIDI.h>`

## Public Member Functions

| MSFitsIDI (const Path &tapeDevice, const String &msOut, const Bool &overWrite, const Int &obsType=0)
| Construct from a tape device name and MS output file name.
| MSFitsIDI (const String &inFile, const String &msOut, const Bool &overWrite, const Int &obsType=0)
| Construct from an input file name and an MS output file name.
| ~MSFitsIDI ()
| Destructor.
void | selectFiles (const Vector< Int > &files)
| Set which files are selected (1-rel; for tape-based data).
Bool | fillMS ()
| Convert the FITS-IDI data to MS format.

## Protected Member Functions

void | init (const String &dataSource, const FITS::FitsDevice &deviceType, const String &msOut, const Bool &overWrite, const Int &obsType)
| Initialization (called by all constructors).
void | readFITSFile (Bool &atEnd)
| Read and process a FITS-IDI file.

## Private Attributes

String | itsDataSource
| Data source and device type.
FITS::FitsDevice | itsDeviceType
String | itsMSOut
| MS, status and write options.
Bool | itsMSExists
Int | itsObsType
Vector< Int > | itsSelectedFiles
| Selected file numbers (1-relative).
Bool | itsAllFilesSelected

## Detailed Description

MSFitsIDI: Convert FITS-IDI data to MS format

### Intended use:

Public interface

### Prerequisite

- MeasurementSet module

### Etymology

From "MS" and "FITS-IDI

### Synopsis

The MSFitsIDI class converts FITS-IDI data, on tape or disk, to MeasurementSet (MS) format.

### Example

### Motivation

Encapsulate all FITS-IDI to MS conversion capabilities.

Definition at line 74 of file MSFitsIDI.h.

## Constructor & Destructor Documentation

## MSFitsIDI() [1/2]

casacore::MSFitsIDI::MSFitsIDI | ( | const Path & | tapeDevice,
|  | const String & | msOut,
|  | const Bool & | overWrite,
|  | const Int & | obsType = 0 )

Construct from a tape device name and MS output file name.

## MSFitsIDI() [2/2]

casacore::MSFitsIDI::MSFitsIDI | ( | const String & | inFile,
|  | const String & | msOut,
|  | const Bool & | overWrite,
|  | const Int & | obsType = 0 )

Construct from an input file name and an MS output file name.

## ~MSFitsIDI()

casacore::MSFitsIDI::~MSFitsIDI | ( |  | ) |

Destructor.

## Member Function Documentation

## fillMS()

Bool casacore::MSFitsIDI::fillMS | ( |  | ) |

Convert the FITS-IDI data to MS format.

## init()

void casacore::MSFitsIDI::init | ( | const String & | dataSource,
|  | const FITS::FitsDevice & | deviceType,
|  | const String & | msOut,
|  | const Bool & | overWrite,
|  | const Int & | obsType )

protected

Initialization (called by all constructors).

## readFITSFile()

void casacore::MSFitsIDI::readFITSFile | ( | Bool & | atEnd | ) |

protected

Read and process a FITS-IDI file.

## selectFiles()

void casacore::MSFitsIDI::selectFiles | ( | const Vector< Int > & | files | ) |

Set which files are selected (1-rel; for tape-based data).

## Member Data Documentation

## itsAllFilesSelected

Bool casacore::MSFitsIDI::itsAllFilesSelected

private

Definition at line 114 of file MSFitsIDI.h.

## itsDataSource

String casacore::MSFitsIDI::itsDataSource

private

Data source and device type.

Definition at line 104 of file MSFitsIDI.h.

## itsDeviceType

FITS::FitsDevice casacore::MSFitsIDI::itsDeviceType

private

Definition at line 105 of file MSFitsIDI.h.

## itsMSExists

Bool casacore::MSFitsIDI::itsMSExists

private

Definition at line 109 of file MSFitsIDI.h.

## itsMSOut

String casacore::MSFitsIDI::itsMSOut

private

MS, status and write options.

Definition at line 108 of file MSFitsIDI.h.

## itsObsType

Int casacore::MSFitsIDI::itsObsType

private

Definition at line 110 of file MSFitsIDI.h.

## itsSelectedFiles

Vector<Int> casacore::MSFitsIDI::itsSelectedFiles

private

Selected file numbers (1-relative).

Definition at line 113 of file MSFitsIDI.h.

The documentation for this class was generated from the following file:

- msfits/MSFits/MSFitsIDI.h